strings(1)

NAME
strings - print the strings of printable characters in files

SYNOPSIS

strings
    [-a|- |--all] [-f|--print-file-name] [-o] [--help] [-v|--version] [-n min-len |-min-len |--bytes= min-len ] [-t {o,x,d} [--target=bfdname] |--radix= {o,x,d} ] file

DESCRIPTION
For each file given, GNU strings prints the printable character sequences that are at least 4 characters long (or the number given with the options below) and are followed by an unprintable character. By default, it only prints the strings from the initialized and loaded sections of object files; for other types of files, it prints the strings from the whole file.

strings is mainly useful for determining the contents of non-text files.

OPTIONS
The long and short forms of options, shown here as alternatives, are equivalent.

-a

--all

-   Do not scan only the initialized and loaded sections of object files; scan the whole files.

-f

--print-file-name
    Print the name of the file before each string.

--help
    Print a summary of the options to strings on the standard output and exit.

-v

--version
    Print the version number of strings on the standard output and exit.

-n min-len

-min-len

--bytes=min-len
    Print sequences of characters that are at least min-len characters long, instead of the default 4.

-t {o,x,d}

--radix={o,x,d}
    Print the offset within the file before each string. The single character argument specifies the radix of the offset—octal, hexadecimal, or decimal.

--target=bfdname
    Specify an object code format other than your system's default format. See objdump(1), for information on listing available formats.

-o  Like -t o.

SEE ALSO
`binutils' entry in info; The GNU Binary Utilities, Roland H. Pesch (October 1991); ar(1), nm(1), objdump(1), ranlib(1).

COPYING
Copyright (c) 1993, 2000 Free Software Foundation, Inc.

This document is distributed under the terms of the GNU Free Documentation License, version 1.1. That license is described in the sources for this manual page, but it is not displayed here in order to make this manual more consise. Copies of this license can also be obtained from: http://www.gnu.org/copyleft/.